Bug 1730476 - gnupg2 does not properly support --with-keygrip option
Summary: gnupg2 does not properly support --with-keygrip option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnupg2
Version: 7.6
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 20:07 UTC by dmyers
Modified: 2019-07-17 07:32 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-17 07:32:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description dmyers 2019-07-16 20:07:39 UTC
Description of problem: gnupg2 does not support --with-keygrip option


Version-Release number of selected component (if applicable):
gnupg2-2.0.22-5.el7_5.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1.gpg --with-keygrip -K <KeyID>

Actual results:
gpg: invalid option "--with-keygrip"

Expected results:
sec   rsa1024 2015-06-13 [SCEA]
      0A1B2C3D4E5F6A7B8C9D0E0F1A2B3C4D0123ABCD
      Keygrip = 2EACA0C5A4B46168EB91970B6715AF1AA52968BE
uid           [ unknown] Test (rpm-sign)

Additional info:
The manpage for gpg lists the option, stating:

       --with-keygrip
              Include the keygrip in the key listings.

https://unix.stackexchange.com/questions/328601/rpmsign-with-cli-password-prompt

Comment 2 Tomas Mraz 2019-07-17 07:32:21 UTC
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 7 and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.


Note You need to log in before you can comment on or make changes to this bug.